SAXONICA

Saxon Documentation
Full Contents
About Saxon
Changes in this Release
Notices
Using XSLT 2.0
Using XQuery
Handling Source Documents
XML Schema Processing
XPath API for Java
Saxon on .NET
Extensibility
Saxon Extensions
Sample Saxon Applications
The Saxon SQL Extension
XSLT Elements
XPath 2.0 Expression Syntax
Function Library
Standards Conformance

# xslt:unparsed-text-available

xslt:unparsed-text-available(string $uri) → boolean

Function signature

$uri | xs:string
Result | xs:boolean

Determines whether the corresponding call on unparsed-text() would succeed.

XSLT 2.0 Specification

Note:The current implementation is inefficient: if a call on unparsed-text-available() is followed by a call on unparsed-text() to read the same file, the file will be read twice.

xslt:unparsed-text-available(string $uri, string $encoding) → boolean

Function signature

$uri | xs:string
$encoding | xs:string
Result | xs:boolean

Determines whether the corresponding call on unparsed-text() would succeed.

XSLT 2.0 Specification

Note:The current implementation is inefficient: if a call on unparsed-text-available() is followed by a call on unparsed-text() to read the same file, the file will be read twice.

Next